%undefine __libtoolize
%define	stable_patchset	1.0.1

%define req_std_burning kdelibs >= 3.2, wodim, cdrkit, mkisofs >= 2.0, dvd+rw-tools, libdvdcss, libdvdread
%define req_std_kde libhal, libdbus
%define req_std_common libacl, libattr, iceauth
%define req_multimedia arts, libcdparanoia, lame, libmad, libvorbis, libmpcdec, libsndfile, libffmpeg, libmusicbrainz, sox, transcode, libflac++, vcdimager >= 0.7, normalize, libtag


%define req_mini %req_std_burning, %req_std_kde, %req_std_common
%define req_all %req_mini, %req_multimedia




Name: k3b
Version: 1.0.5
Release: alt5

Group: Archiving/Cd burning
Summary: The CD Kreator (Complete set)
Summary(ru_RU.KOI8-R):   CD ( )
License: GPL
Packager: Alexey Lokhin <warframe@altlinux.ru>
URL: http://www.k3b.org/

Source0: %name-%version.tar.bz2

Patch0: %name-%stable_patchset-compile_flags.patch
Patch1: %name-%stable_patchset-messages-alt.patch
Patch2: %name-1.0.4-disk_verify_cdrecord_noeject.patch
Patch3: %name-1.0.4-disk_verify_fallback.patch
Patch4: %name.desktop.patch


Requires: %req_all
Requires: k3b-mini = %version

BuildRequires: ffmpeg-devel flac gcc-c++ gcc-g77 kdelibs-devel libdbus-devel libdbus-qt-devel libflac++-devel libflac-devel libhal-devel libjpeg-devel liblame-devel libmad-devel libmpcdec-devel libmusicbrainz-devel libpng-devel libsamplerate-devel libtag-devel libvorbis-devel libsndfile-devel qt3-designer xml-utils pkgconfig
BuildRequires: libacl-devel libattr-devel libdvdread-devel
BuildRequires: desktop-file-utils

%description
K3b is a GUI frontend to the cd recording programs. 
It's aim is to provide a very user friendly interface to all the tasks that 
come with cd recording. 
This package contains all requiremnts and libraries necessary for full 
program functionality.
%description -l ru_RU.KOI8-R
K3b -         .
        , 
  -. 
  c   ,   
  .


%package mini
Summary: The CD Creator
Summary(ru_RU.KOI8-R):   CD
License: GPL
Group: Archiving/Cd burning
Requires: %req_mini
Obsoletes: k3b-minimal

%description mini
K3b is a GUI frontend to the cd recording programs. 
It's aim is to provide a very user friendly interface to all the tasks that 
come with cd recording.
Install 'k3b' package to get all of the program's features.
%description mini -l ru_RU.KOI8-R
K3b -         .
        , 
  -.
       'k3b'.


%package devel
Summary: The CD Kreator (Development package.)
Summary(ru_RU.KOI8-R):   CD ( .)
License: GPL
Group: Development/KDE and QT
Requires: k3b = %version

%description devel
K3b is a GUI frontend to the cd recording programs. 
It's aim is to provide a very user friendly interface to all the tasks that 
come with cd recording. 
This package contains k3b development files and libraries.
%description devel -l ru_RU.KOI8-R
K3b -         .
        , 
  -. 
     ,   
 k3b.

 
%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%__subst 's/\.la\>/.so/g' admin/acinclude.m4.in
%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' admin/acinclude.m4.in
MAKE="%__make" /bin/sh admin/cvs.sh cvs


%build
%configure \
	--disable-rpath \
	--enable-shared=yes \
	--program-transform-name="" \
	--without-k3bsetup \
	--enable-ffmpeg-all-codecs
%make_build


%install
%makeinstall
%__mkdir_p %buildroot/%_menudir
#freedesktop2menu.pl k3b "Applications/Archiving/Cd burning" %buildroot/%_datadir/applications/kde/%name.desktop %buildroot/%_menudir/%name x11
%find_lang --with-kde %name


%post 
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus


%post mini
%post_ldconfig
%update_menus
%update_desktopdb

%postun mini
%postun_ldconfig
%clean_menus
%clean_desktopdb


%files
%_libdir/kde3/*.so
%_datadir/apps/k3b/cdi
%_datadir/apps/k3b/extra/*
%_datadir/apps/k3b/plugins
%_datadir/apps/konqueror/servicemenus/*audio*
%_datadir/apps/konqueror/servicemenus/*video*
%_datadir/apps/%name/servicemenus/*audio*
%_datadir/apps/%name/servicemenus/*video*
%_datadir/apps/konqsidebartng/virtual_folders/services/*video*
%_datadir/services/video*

%files -f %name.lang mini
%_libdir/*.so*
%_bindir/*
%_datadir/applications/kde/*
%_datadir/applnk/.hidden/*
%_datadir/apps/%name/eventsrc
%_datadir/apps/%name/icons
%_datadir/apps/%name/k3bui.rc
%_datadir/apps/%name/pics
%_datadir/apps/%name/tips
%_datadir/apps/%name/servicemenus/*data*
%_datadir/apps/%name/servicemenus/*image*
%_datadir/apps/konqueror/servicemenus/*copy*
%_datadir/apps/konqueror/servicemenus/%{name}_handle_empty*
%_datadir/services/kfile*
#%_menudir/%name
%_iconsdir/*/*/*/*
%_datadir/mimelnk/*/*
%_datadir/sounds/*
%doc README FAQ TODO COPYING AUTHORS ChangeLog

%files devel
%_includedir/*.h

%changelog
* Fri Sep 26 2008 Alexey Lokhin <warframe@altlinux.ru> 1.0.5-alt5
- cdrdao has been removed from requirements list because it's an optional tool and 'cdrdao' package is currently an orphan

* Tue Aug 26 2008 Alexey Lokhin <warframe@altlinux.ru> 1.0.5-alt4
- %name.destop.patch added to apply new tatar messages in k3b.desktop file.

* Mon Jul 21 2008 Alexey Lokhin <warframe@altlinux.ru> 1.0.5-alt3
- k3b-1.0.4-disk_verify_fallback.patch has been brought back due to many bug reports about freeze before disk verification.

* Thu Jun 19 2008 Alexey Lokhin <warframe@altlinux.ru> 1.0.5-alt2
- k3b-1.0.4-disk_verify_cdrecord_noeject.patch has been brought back due to many bug reports about freeze before disk verification.

* Mon Jun 02 2008 Alexey Lokhin <warframe@altlinux.ru> 1.0.5-alt1
- Version 1.0.5 build.
- k3b-1.0.4-disk_verify_cdrecord_noeject.patch has been removed.
- k3b-1.0.4-disk_verify_fallback.patch has been removed.
- 'cdrecord-classic' is not required anymore. Using 'wodim'.
- Added desktop DB entries update/cleaning for k3b-mini (found by repocop).

* Mon Mar 31 2008 Alexey Lokhin <warframe@altlinux.ru> 1.0.4-alt3
- Added a patch from http://bugs.kde.org/show_bug.cgi?id=151816 for 
  1.0.4 act as in previous version during project verification.
- Added a patch from http://bugs.kde.org/show_bug.cgi?id=156684 for
  1.0.4 not to eject disk after writing when using cdrecord.
- Added '--enable-ffmpeg-all-codecs' configure option to build with 
  audio RIFF+MPEG 1 Layer III support for audio projects source files

* Wed Jan 30 2008 Alexey Lokhin <warframe@altlinux.ru> 1.0.4-alt2
- Alt build number incremented to rebuild with new libavformat.

* Mon Nov 26 2007 Alexey Lokhin <warframe@altlinux.ru> 1.0.4-alt1
- Version 1.0.4 build.

* Thu Aug 09 2007 Alexey Lokhin <warframe@altlinux.ru> 1.0.3-alt2
- Added 'k3b_handle_empty_*.desktop' files to filelist.
- According to http://www.freesource.info/wiki/AltLinux/Razrabotchiku/OsobennostiSborkiPaketov removed menu file creation.

* Mon Jul 30 2007 Alexey Lokhin <warframe@altlinux.ru> 1.0.3-alt1
- Version 1.0.3 build.

* Mon Jul 09 2007 Alexey Lokhin <warframe@altlinux.ru> 1.0.2-alt2
- K3b messages patched not to yell about old cdrecord.

* Tue Jul 03 2007 Alexey Lokhin <warframe@altlinux.ru> 1.0.2-alt1
- Version 1.0.2 build.

* Mon Apr 23 2007 Alexey Lokhin <warframe@altlinux.ru> 1.0.1-alt1
- Version 1.0.1 build.

* Mon Mar 19 2007 Alexey Lokhin <warframe@altlinux.ru> 1.0-alt1
- Version 1.0 build.
- Removed patch for flac >= 1.1.3 because it is not needed anymore. 
- Removed format_dvd_+-_rw patch.
- Added requirements for libdvdread and libdvdread-devel.

* Tue Feb 27 2007 Alexey Lokhin <warframe@altlinux.ru> 0.12.17-alt5
- Patch to build with flac >= 1.1.3 (by led@) added.

* Mon Jan 29 2007 Alexey Lokhin <warframe@altlinux.ru> 0.12.17-alt4
- `iceauth' package added to common requirements.

* Tue Dec 26 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.17-alt3
- Build with new dbus.

* Mon Dec 04 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.17-alt2
- Closing remarks by greycat@ for bug #9944.

* Fri Nov 17 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.17-alt1
- Version 0.12.16 build.
- Package again has been again to 'k3b-mini', 'k3b' and 'k3b-devel'.

* Thu Sep 21 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.16-alt2
- Build with new libffmpeg.

* Mon Jul 03 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.16-alt1
- Version 0.12.16 build.

* Tue Jun 06 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.15-alt2
- Build with new libffmpeg.

* Fri Apr 14 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.15-alt1
- Version 0.12.15 build.

* Wed Mar 08 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.14-alt1
- Version 0.12.14 build.
- Added requirement for libdvdcss.

* Thu Feb 16 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.12-alt1
- Version 0.12.12 build.

* Sat Feb 11 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.11-alt1
- Version 0.12.11 build.

* Mon Feb 06 2006 Alexey Lokhin <warframe@altlinux.ru> 0.12.10-alt2
- Spec file fixed: added requirements for libacl, libattr.

* Tue Dec 20 2005 Alexey Lokhin <warframe@altlinux.ru> 0.12.10-alt1
- Version 0.12.10 build.
- Added patch, correcting translation of "Format DVD+-RW" message - 'format_dvd_+-_rw.patch'.

* Mon Nov 21 2005 Alexey Lokhin <warframe@altlinux.ru> 0.12.7-alt1
- Version 0.12.7 build.

* Fri Oct 07 2005 Alexey Lokhin <warframe@altlinux.ru> 0.12.4a-alt1
- Version 0.12.4a build.
- Menu source file removed from package.

* Thu Jul 28 2005 Alexey Lokhin <warframe@altlinux.ru> 0.12.2-alt1
- Version 0.12.2 build.
- Added libvorbis-devel detection fix for configure.
- Added patch for ALT-specific messages (no K3bSetup2 but ALT Control Center and 'control').
- Optimized buildreq.

* Tue May 24 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.24-alt1
- Version 0.11.24 build.
- 'Requires' fixed.

* Mon Apr 04 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.23-alt1
- Version 0.11.22 build
- Joliet now is enabled by default

* Mon Mar 21 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.22-alt1
- Version 0.11.22 build
- Added 'flac' to 'BuildRequres' for proper FLAC version detection during prep

* Wed Feb 23 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.20-alt2
- Spec file cleaning
- Added patch to compile with 'FLAC::Metadata::VorbisComment::get_vendor_string()' method in FLAC++-1.1.2

* Wed Feb 16 2005 Alexey Lokhin <warframe@altlinux.ru> 0.11.20-alt1
- Package 'k3b-minimal' has been combined with 'k3b'
- Version 0.11.20 build

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.11.17-alt3.1
- Rebuilt with libstdc++.so.6.

* Tue Dec 07 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.17-alt3
- Misapplied patches removed.

* Tue Nov 23 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.17-alt2
- New 'BuildRequires'.
- Added SCSI detection fix patch (from Fedora Core 3 SRPM).
- Fopen call 'RDWR' flag fixes added (from Fedora Core 3 SRPM).

* Wed Sep 29 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.17-alt1
- Version 0.11.17.

* Mon Sep 20 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.16-alt1
- Version 0.11.16 (skipping 0.11.15).

* Sat Aug 14 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.14-alt1
- Version 0.11.14.

* Mon Jun 28 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.12-alt1
- Version 0.11.12.
- Package splitted to multiple packages.

* Thu May 27 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.10-alt1
- Version 0.11.10.
- Spec file changed to compile with gcc-3.2.3.

* Mon Mar 29 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.9-alt1
- Version 0.11.9.
- Changed 'needs' in menu file from 'kde' to 'x11'.
- Added requirement for flac and lame encoding programs.

* Wed Mar 03 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.6-alt1
- Version 0.11.6.

* Sun Feb 22 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.5-alt1
- Version 0.11.5.

* Tue Feb 17 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.4-alt1
- Version 0.11.4 has been built.

* Sat Feb 14 2004 Alexey Lokhin <warframe@altlinux.ru> 0.11.3-alt1
- Version 0.11.3 has been built.
- Removed requirements for DivX, DVD tools and some audio encoding tools and libraries.

* Fri Jan 23 2004 Alexey Lokhin <warframe@altlinux.ru> 0.10.3-alt3
- Real sources added. Previous build contained custom test sources.

* Sat Jan 10 2004 Alexey Lokhin <warframe@altlinux.ru> 0.10.3-alt2
- Removed .la-files
- Fixed pthreads support during the compilation (patch by Zerg <Zerg@altlinux.org>).

* Mon Dec 08 2003 Alexey Lokhin <warframe@altlinux.ru> 0.10.3-alt1
- Version 0.10.3 has been built

* Mon Nov 10 2003 Alexey Lokhin <warframe@altlinux.ru> 0.10.2-alt1
- Version 0.10.2 has been built

* Tue Oct 28 2003 Alexey Lokhin <warframe@altlinux.ru> 0.10.1-alt1
- Version 0.10.1 has been built without k3bsetup support

* Tue Oct 07 2003 Alexey Lokhin <warframe@altlinux.ru> 0.9-alt1
- Version 0.9 has been built

* Fri Mar 07 2003 Alexey Gladkov <legion@altlinux.ru> 0.8.1-alt2
- x-cue.desktop and x-iso.desktop have been removed to resolve 
  conflicts with other cdrecord applications. They moved to 
  kdelibs package. 

* Sat Mar 01 2003 Alexey Gladkov <legion@altlinux.ru> 0.8.1-alt1
- k3b 0.8.1
- Bugfixes

* Sat Nov 23 2002 Alexey Gladkov <legion@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Mon Nov 11 2002 Alexey Gladkov <legion@altlinux.ru> 0.7.4-alt2
- 0.7.4
- group fix (cdrecording -> cdwriter)

* Thu Oct 31 2002 Alexey Gladkov <legion@altlinux.ru> 0.7.3-alt1
- RPM build
